Bug 1766120

Summary: Tracking bug for Berkeley DB rpmdb format dependencies
Product: [Fedora] Fedora Reporter: Panu Matilainen <pmatilai>
Component: rpmAssignee: Packaging Maintenance Team <packaging-team-maint>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: carl, igor.raits, malmond, mjw, ngompa13, packaging-team-maint, pmatilai, pmoravco, vmukhame
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-05 13:47:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1766124, 1766126, 1766128, 1766487    
Bug Blocks: 1810832, 1817010    

Description Panu Matilainen 2019-10-28 10:42:35 UTC
This is a tracking-only bug for software assuming rpmdb being in Berkeley DB format, such as testing for particular file names that are not valid with other rpm database backends (alternatives with differing filenames have been available since rpm 4.13)

Comment 1 Matthew Almond 2020-03-23 16:47:28 UTC
These assumptions have surfaced while testing ndb on c8s. I am planning on following the various dependencies listed here, and producing a patch set that works for c8s. We'll do validation and stress testing. We are keen to get off bdb in c8s like we did in c7.

Comment 2 Panu Matilainen 2021-02-05 13:47:28 UTC
Berkeley DB is now gone from rawhide, and wont be coming back.